NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SheetMetal::AeroFlangeBuilder Class Reference

Represents a Aerospace Sheet Metal Flange Builder. More...

Inheritance diagram for NXOpen::Features::SheetMetal::AeroFlangeBuilder:
NXOpen::Features::SheetMetal::SheetmetalBaseBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CompType { CompTypeAutomatic, CompTypeAngle, CompTypeDistance, CompTypeNone }
 This method defines the types of Flange Compensation. More...
 
enum  DimType { DimTypeInside, DimTypeOutside }
 This enum defines the flange length dimension types. More...
 
enum  DirType { DirTypeBend, DirTypeDiscard }
 This enum defines the type of direction vector. More...
 
enum  EndType { EndTypeEnd1, EndTypeEnd2, EndTypeClosed }
 This enum defines the ends of a bend edge. More...
 
enum  LengthType { LengthTypeValue, LengthTypeInfer }
 This enum defines the length type options. More...
 
enum  MatType { MatTypeMaterialInside, MatTypeMaterialOutside, MatTypeBendOutside }
 This enum defines the material types. More...
 

Public Member Functions

NXOpen::ExpressionAngle ()
 Returns the angle expression. More...
 
NXOpen::ScCollectorBaseEdges ()
 Returns the base edge section object for the flange. More...
 
NXOpen::Features::SheetMetal::BendOptionsBendOptions ()
 Returns the base edge section object for the flange. More...
 
bool GetContourFlag ()
 Get the flag that turns on/off the visibility of Contour Curve. More...
 
NXOpen::Features::SheetMetal::AeroFlangeBuilder::DimType GetDimensionType ()
 Get the length dimension type of the flange. More...
 
NXOpen::ExpressionGetEndCompensation (NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType endType, NXOpen::Features::SheetMetal::AeroFlangeBuilder::CompType *compType)
 Get end compensation. More...
 
NXOpen::PlaneGetEndPlane (NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType endType)
 Get the end plane. More...
 
bool GetFlipDirection (NXOpen::Features::SheetMetal::AeroFlangeBuilder::DirType type)
 Get flip direction. More...
 
NXOpen::ExpressionGetLength (NXOpen::Features::SheetMetal::AeroFlangeBuilder::LengthType *type)
 Get the type of length and the length expression. More...
 
NXOpen::Features::SheetMetal::AeroFlangeBuilder::MatType GetMaterialType ()
 Get the material type of the flange. More...
 
NXOpen::ScCollectorRefFaces ()
 Returns the ref face smart collector object. More...
 
void SetAngle (const NXString &angleExpression)
 Set the angle expression. More...
 
void SetAngle (const char *angleExpression)
 Set the angle expression. More...
 
void SetBaseEdges (NXOpen::ScCollector *baseEdges)
 Sets the base edge section object for the flange. More...
 
void SetContourFlag (bool showContour)
 Set the flag that turns on/off the visibility of Contour Curve. More...
 
void SetDimensionType (NXOpen::Features::SheetMetal::AeroFlangeBuilder::DimType dimType)
 Set the length dimension type of the flange. More...
 
void SetEndCompensation (NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType endType, NXOpen::Features::SheetMetal::AeroFlangeBuilder::CompType compType, const NXString &valueExpression)
 Set end compensation. More...
 
void SetEndCompensation (NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType endType, NXOpen::Features::SheetMetal::AeroFlangeBuilder::CompType compType, const char *valueExpression)
 Set end compensation. More...
 
void SetEndPlane (NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType endType, NXOpen::Plane *endPlane)
 Set the end plane. More...
 
void SetFlipDirection (NXOpen::Features::SheetMetal::AeroFlangeBuilder::DirType type, bool flipFlag)
 Set flip direction. More...
 
void SetLength (NXOpen::Features::SheetMetal::AeroFlangeBuilder::LengthType type, const NXString &valueExpression)
 Set the type of length and the length expression. More...
 
void SetLength (NXOpen::Features::SheetMetal::AeroFlangeBuilder::LengthType type, const char *valueExpression)
 Set the type of length and the length expression. More...
 
void SetMaterialType (NXOpen::Features::SheetMetal::AeroFlangeBuilder::MatType matType)
 Set the material type of the flange. More...
 
void SetRefFaces (NXOpen::ScCollector *faceCollector)
 Sets the ref face smart collector object. More...
 
- Public Member Functions inherited from NXOpen::Features::SheetMetal::SheetmetalBaseBuilder
NXOpen::Features::SheetMetal::ApplicationContext GetApplicationContext ()
 Get the application context. More...
 
void SetApplicationContext (NXOpen::Features::SheetMetal::ApplicationContext appContext)
 Set the application context. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Aerospace Sheet Metal Flange Builder.


To create a new instance of this class, use NXOpen::Features::SheetMetal::AeroSheetmetalManager::CreateFlangeBuilder

Created in NX4.0.0.

Member Enumeration Documentation

This method defines the types of Flange Compensation.

Enumerator
CompTypeAutomatic 

Automatic.

CompTypeAngle 

Angle.

CompTypeDistance 

Distance.

CompTypeNone 

None.

This enum defines the flange length dimension types.

Enumerator
DimTypeInside 

Inside Dimension.

DimTypeOutside 

Outside Dimension.

This enum defines the type of direction vector.

Enumerator
DirTypeBend 

Bend Direction Type.

DirTypeDiscard 

Discard Direction Type.

This enum defines the ends of a bend edge.

Enumerator
EndTypeEnd1 

Start of section.

EndTypeEnd2 

End of section.

EndTypeClosed 

Periodic Bend Edge.

This enum defines the length type options.

Enumerator
LengthTypeValue 

Value.

LengthTypeInfer 

Infer from face.

This enum defines the material types.

Enumerator
MatTypeMaterialInside 

Material Inside.

MatTypeMaterialOutside 

Material Outside.

MatTypeBendOutside 

Bend Outside.

Member Function Documentation

NXOpen::Expression* NXOpen::Features::SheetMetal::AeroFlangeBuilder::Angle ( )

Returns the angle expression.


Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

NXOpen::ScCollector* NXOpen::Features::SheetMetal::AeroFlangeBuilder::BaseEdges ( )

Returns the base edge section object for the flange.


Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

NXOpen::Features::SheetMetal::BendOptions* NXOpen::Features::SheetMetal::AeroFlangeBuilder::BendOptions ( )

Returns the base edge section object for the flange.


Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

bool NXOpen::Features::SheetMetal::AeroFlangeBuilder::GetContourFlag ( )

Get the flag that turns on/off the visibility of Contour Curve.

Returns
false = Hide contour curve, true = Show contour curve
Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::Features::SheetMetal::AeroFlangeBuilder::DimType NXOpen::Features::SheetMetal::AeroFlangeBuilder::GetDimensionType ( )

Get the length dimension type of the flange.

Returns
inside/outside
Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::Expression* NXOpen::Features::SheetMetal::AeroFlangeBuilder::GetEndCompensation ( NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType  endType,
NXOpen::Features::SheetMetal::AeroFlangeBuilder::CompType compType 
)

Get end compensation.

Returns
compensation expression
Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
Parameters
endTypeend1/end2
compTypeAutomatic/Angle/Distance/None
NXOpen::Plane* NXOpen::Features::SheetMetal::AeroFlangeBuilder::GetEndPlane ( NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType  endType)

Get the end plane.

Returns
smart plane entity
Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
Parameters
endTypeend1/end2
bool NXOpen::Features::SheetMetal::AeroFlangeBuilder::GetFlipDirection ( NXOpen::Features::SheetMetal::AeroFlangeBuilder::DirType  type)

Get flip direction.

Returns
flip_flag => false = do not flip, true = flip
Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
Parameters
typedirection type bend/discard
NXOpen::Expression* NXOpen::Features::SheetMetal::AeroFlangeBuilder::GetLength ( NXOpen::Features::SheetMetal::AeroFlangeBuilder::LengthType type)

Get the type of length and the length expression.

Returns
length expression
Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
Parameters
typelength type Value/Infer
NXOpen::Features::SheetMetal::AeroFlangeBuilder::MatType NXOpen::Features::SheetMetal::AeroFlangeBuilder::GetMaterialType ( )

Get the material type of the flange.

Returns
material inside/material outside/bend outside
Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::ScCollector* NXOpen::Features::SheetMetal::AeroFlangeBuilder::RefFaces ( )

Returns the ref face smart collector object.


Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetAngle ( const NXString angleExpression)

Set the angle expression.

This method should be called only when there is no ref_face selection.


Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
angleExpressionvalue of angle expression
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetAngle ( const char *  angleExpression)

Set the angle expression.

This method should be called only when there is no ref_face selection.


Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
angleExpressionvalue of angle expression
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetBaseEdges ( NXOpen::ScCollector baseEdges)

Sets the base edge section object for the flange.


Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
baseEdgesBase Edges
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetContourFlag ( bool  showContour)

Set the flag that turns on/off the visibility of Contour Curve.


Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
showContourfalse = Hide contour curve, true = Show contour curve
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetDimensionType ( NXOpen::Features::SheetMetal::AeroFlangeBuilder::DimType  dimType)

Set the length dimension type of the flange.


Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
dimTypeinside/outside
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetEndCompensation ( NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType  endType,
NXOpen::Features::SheetMetal::AeroFlangeBuilder::CompType  compType,
const NXString valueExpression 
)

Set end compensation.

This method sets the flange compensation for one end of a non-periodic Base Edge section. The end_type input parameter denotes if the end is the start of section(end1) or the end of section(end2). If the compensation type( comp_type) is either Angle or Distance, an expression for the value of compensation must be provided. This expression input can be NULL for Automatic and None type of compensations.


Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
endTypeend1/end2
compTypeAutomatic/Angle/Distance/None
valueExpressionvalue of compensation expression
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetEndCompensation ( NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType  endType,
NXOpen::Features::SheetMetal::AeroFlangeBuilder::CompType  compType,
const char *  valueExpression 
)

Set end compensation.

This method sets the flange compensation for one end of a non-periodic Base Edge section. The end_type input parameter denotes if the end is the start of section(end1) or the end of section(end2). If the compensation type( comp_type) is either Angle or Distance, an expression for the value of compensation must be provided. This expression input can be NULL for Automatic and None type of compensations.


Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
endTypeend1/end2
compTypeAutomatic/Angle/Distance/None
valueExpressionvalue of compensation expression
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetEndPlane ( NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType  endType,
NXOpen::Plane endPlane 
)

Set the end plane.


Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
endTypeend1/end2
endPlanesmart plane entity
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetFlipDirection ( NXOpen::Features::SheetMetal::AeroFlangeBuilder::DirType  type,
bool  flipFlag 
)

Set flip direction.

This method is called if either the bend direction or the material direction needs to be flipped.


Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
typedirection type bend/discard
flipFlagflip_flag => false = do not flip, true = flip
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetLength ( NXOpen::Features::SheetMetal::AeroFlangeBuilder::LengthType  type,
const NXString valueExpression 
)

Set the type of length and the length expression.

If there are no ref_face's then the only length type possible is "Value". If there are selected ref_face's and the length type is "Infer", then the length expression should be NULL.


Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
typelength type input Value/Infer
valueExpressionvalue of length expression
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetLength ( NXOpen::Features::SheetMetal::AeroFlangeBuilder::LengthType  type,
const char *  valueExpression 
)

Set the type of length and the length expression.

If there are no ref_face's then the only length type possible is "Value". If there are selected ref_face's and the length type is "Infer", then the length expression should be NULL.


Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
typelength type input Value/Infer
valueExpressionvalue of length expression
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetMaterialType ( NXOpen::Features::SheetMetal::AeroFlangeBuilder::MatType  matType)

Set the material type of the flange.


Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
matTypematerial inside/material outside/bend outside
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetRefFaces ( NXOpen::ScCollector faceCollector)

Sets the ref face smart collector object.


Created in NX4.0.0.

License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
faceCollectorface collector

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.